# -*- coding: utf-8 -*-
from setuphelpers import *

# Defining variables
bin_name_string = "cudatext-win-x32-%s.zip"
dl_file_type = "win x32"
app_name = "CudaText"
app_dir = makepath(programfiles, app_name)
app_bin = makepath(app_dir, "cudatext.exe")


def install():
    # Initializing variables
    package_version = control.version.split("-", 1)[0]
    bin_name = "cudatext-win-x32-%s.zip" % package_version
    processes_to_kill = control.impacted_process.split(",")

    # Installing the package
    print("Installing: %s" % bin_name)
    killalltasks(processes_to_kill)
    if isdir(app_dir):
        remove_tree(app_dir)
    unzip(bin_name, target=app_dir)
    create_programs_menu_shortcut(app_name, app_bin)


def uninstall():
    # Uninstalling the package
    remove_tree(app_dir)
    remove_programs_menu_shortcut(app_name)

